// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

public interface SendContactInfoOrBuilder extends
        // @@protoc_insertion_point(interface_extends:management.SendContactInfo)
        com.google.protobuf.MessageOrBuilder {

    /**
     * <code>required string username = 1;</code>
     *
     * @return Whether the username field is set.
     */
    boolean hasUsername();

    /**
     * <code>required string username = 1;</code>
     *
     * @return The username.
     */
    java.lang.String getUsername();

    /**
     * <code>required string username = 1;</code>
     *
     * @return The bytes for username.
     */
    com.google.protobuf.ByteString
    getUsernameBytes();

    /**
     * <code>repeated .management.SendContactInfo.Contact contacts = 2;</code>
     */
    java.util.List<proto.management.SendContactInfo.Contact>
    getContactsList();

    /**
     * <code>repeated .management.SendContactInfo.Contact contacts = 2;</code>
     */
    proto.management.SendContactInfo.Contact getContacts(int index);

    /**
     * <code>repeated .management.SendContactInfo.Contact contacts = 2;</code>
     */
    int getContactsCount();

    /**
     * <code>repeated .management.SendContactInfo.Contact contacts = 2;</code>
     */
    java.util.List<? extends proto.management.SendContactInfo.ContactOrBuilder>
    getContactsOrBuilderList();

    /**
     * <code>repeated .management.SendContactInfo.Contact contacts = 2;</code>
     */
    proto.management.SendContactInfo.ContactOrBuilder getContactsOrBuilder(
            int index);

    /**
     * <code>repeated string blocked = 3;</code>
     *
     * @return A list containing the blocked.
     */
    java.util.List<java.lang.String>
    getBlockedList();

    /**
     * <code>repeated string blocked = 3;</code>
     *
     * @return The count of blocked.
     */
    int getBlockedCount();

    /**
     * <code>repeated string blocked = 3;</code>
     *
     * @param index The index of the element to return.
     * @return The blocked at the given index.
     */
    java.lang.String getBlocked(int index);

    /**
     * <code>repeated string blocked = 3;</code>
     *
     * @param index The index of the value to return.
     * @return The bytes of the blocked at the given index.
     */
    com.google.protobuf.ByteString
    getBlockedBytes(int index);
}
